Bug 5835 - [UPDATE REQUEST] samba-4.1.17-11
: [UPDATE REQUEST] samba-4.1.17-11
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-25 18:32 MSD by Konstantin Vlasov
Modified: 2015-06-30 15:01 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
kdm (47.86 KB, text/x-log)
2015-06-30 14:38 MSD, ans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-06-25 18:32:32 MSD
Minor fix for joining Windows domains.
Comment 1 Konstantin Vlasov 2015-06-25 18:50:08 MSD
https://abf.rosalinux.ru/build_lists/2513964
https://abf.rosalinux.ru/build_lists/2513965

Advisory: Fix for the system-auth-winbind config file that is used when joining a Windows domain.

Please, test for regressions.
Comment 2 Vladimir Potapov 2015-06-26 05:45:37 MSD
The update is sent to expanded testing
***************************************
Comment 3 ans 2015-06-27 07:44:34 MSD
А не подскажите, как правильно подключиться к win-домену?
Пробовал через GUI-Аутентификацию из параметров системы, не получилось
Comment 4 Konstantin Vlasov 2015-06-28 05:26:29 MSD
Для входа в домен используется именно эта утилита, но она недостаточно отлажена. В дополнение к присутствующему здесь обновлению samba, необходимо ещё установить обновление самой утилиты из следующего QA-запроса:
http://bugs.rosalinux.ru/show_bug.cgi?id=5836#c6

Но и это не гарантия, что всё заработает. В нашем тестовом окружении подключение прошло успешно, но ситуация может отличаться в зависимости от настроек доменного сервера. Кроме того, остаются ещё различные нерешённые проблемы, не связанные непосредственно с утилитой аутентификации (например, экран логина KDE не всегда отображает то, что ожидается).
Comment 5 ans 2015-06-28 21:29:09 MSD
(In reply to comment #4)
> Для входа в домен используется именно эта утилита, но она недостаточно
> отлажена. В дополнение к присутствующему здесь обновлению samba, необходимо
> ещё установить обновление самой утилиты из следующего QA-запроса:
> http://bugs.rosalinux.ru/show_bug.cgi?id=5836#c6
> 
В понедельник попробую
Comment 6 ans 2015-06-29 06:44:58 MSD
> В понедельник попробую
Компьютер сейчас не загружается. После ввода пароля пишет:
"Произошла критическая ошибка. Посмотреть журналы работы KDM или обратитесь к сис.администратору."
обновление самой утилиты из указанного QA-запроса применить не успел.
Comment 7 FirstLevel 2015-06-29 11:15:06 MSD
В Никеле 64 бита - аутентификация пользователей в AD работает
Comment 8 FirstLevel 2015-06-29 11:32:23 MSD
(In reply to comment #1)
> https://abf.rosalinux.ru/build_lists/2513964
> https://abf.rosalinux.ru/build_lists/2513965
> 
> Advisory: Fix for the system-auth-winbind config file that is used when
> joining a Windows domain.
> 
> Please, test for regressions.

With this fix and fix from http://bugs.rosalinux.ru/show_bug.cgi?id=5836 I have succesfully authenticated with domain account.
Comment 9 ans 2015-06-29 14:12:25 MSD
(In reply to comment #6)
> > В понедельник попробую
> Компьютер сейчас не загружается. После ввода пароля пишет:
> "Произошла критическая ошибка. Посмотреть журналы работы KDM или обратитесь
> к сис.администратору."
> обновление самой утилиты из указанного QA-запроса применить не успел.

Через KDM не входит из-за авторизации или чего-то другого?
Comment 10 Vladimir Potapov 2015-06-29 20:39:49 MSD
samba-4.1.17-11
https://abf.rosalinux.ru/build_lists/2513964
https://abf.rosalinux.ru/build_lists/2513965
****************************** Advisory ******************************
Fix for the system-auth-winbind config file that is used when joining a Windows domain.
**********************************************************************
QA Verified
Comment 11 ans 2015-06-30 07:10:30 MSD
(In reply to comment #10)
> samba-4.1.17-11
> https://abf.rosalinux.ru/build_lists/2513964
> https://abf.rosalinux.ru/build_lists/2513965
> ****************************** Advisory ******************************
> Fix for the system-auth-winbind config file that is used when joining a
> Windows domain.
> **********************************************************************
> QA Verified

Установил samba-4.1.17-11
но через KDM входа всё-равно нет
Comment 12 ans 2015-06-30 13:24:36 MSD
Заново переустановил систему, установил https://abf.rosalinux.ru/build_lists/2513964.
Попытался провести Аутентификацию - не получилось.
После перезагрузки, после ввода пароля(KDM)также выдаёт ошибку:
"Произошла критическая ошибка. Посмотреть журналы работы KDM или обратитесь к сис.администратору."
И всё.
Comment 13 Denis Silakov 2015-06-30 13:45:30 MSD
(In reply to comment #12)
> Заново переустановил систему, установил
> https://abf.rosalinux.ru/build_lists/2513964.
> Попытался провести Аутентификацию - не получилось.
> После перезагрузки, после ввода пароля(KDM)также выдаёт ошибку:
> "Произошла критическая ошибка. Посмотреть журналы работы KDM или обратитесь
> к сис.администратору."
> И всё.

И как, есть что-нибудь интересное в журналах kdm? В файлах /var/log/kdm.log[1234]?
Comment 14 ans 2015-06-30 14:18:59 MSD
(In reply to comment #13)
> И как, есть что-нибудь интересное в журналах kdm? В файлах
> /var/log/kdm.log[1234]?

Посмотрел, но не знаю, что может быть интересным
Comment 15 Denis Silakov 2015-06-30 14:21:03 MSD
А приаттачьте их в багзиллу, посмотрим. Только лучше для этого отдельный баг завести, про этот вы скоро забудем, да и отклонились мы от его первоначальной темы.
Comment 16 ans 2015-06-30 14:38:21 MSD
Created attachment 4149 [details]
kdm

kdm
Comment 17 ans 2015-06-30 15:01:34 MSD
(In reply to comment #15)
> А приаттачьте их в багзиллу, посмотрим. Только лучше для этого отдельный баг
> завести, про этот вы скоро забудем, да и отклонились мы от его
> первоначальной темы.

http://bugs.rosalinux.ru/show_bug.cgi?id=5856